@import "/src/styles/mixins/src/media";

.root {
  position: absolute;
  top: 20px;
  right: 20px; 
  display: block;
  width: 26px;
  height: 19px;
  padding: 0;
  border: none;
  margin-right: 16px;
  background: none;
  cursor: pointer;
  z-index: 1;

  @include desktop {
    display: none;
  }

  span {
    position: absolute;
    top: 9px;
    right: 0;
    left: 0;
    height: 2px;
    background-color: var(--black-100);
    border-radius: 4px;
  }

  &::before {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 2px;
    background-color: var(--black-100);
    border-radius: 4px;
    content: "";
  }

  &::after {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 2px;
    background-color: var(--black-100);
    border-radius: 4px;
    content: "";
  }
}

.open {
  span {
    opacity: 0;
    pointer-events: none;
  }

  &::before {
    transform: rotate(45deg) translate(7px, 7px);
  }

  &::after {
    transform: rotate(-45deg) translate(5px, -5px);
  }
}
